Package org.lwjgl.opengl

# Class EXTBindableUniform

java.lang.Object
org.lwjgl.opengl.EXTBindableUniform

public final class EXTBindableUniform extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_MAX_BINDABLE_UNIFORM_SIZE_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_UNIFORM_BUFFER_BINDING_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_UNIFORM_BUFFER_EXT`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, and GetBufferPointerv:

## Method Summary

Modifier and Type
Method
Description
`static int`
`glGetUniformBufferSizeEXT(int program, int location)`
`static long`
`glGetUniformOffsetEXT(int program, int location)`
`static void`
`glUniformBufferEXT(int program, int location, int buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT

public static final int GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT

public static final int GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT

public static final int GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_BINDABLE_UNIFORM_SIZE_EXT

public static final int GL_MAX_BINDABLE_UNIFORM_SIZE_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_UNIFORM_BUFFER_BINDING_EXT

public static final int GL_UNIFORM_BUFFER_BINDING_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_UNIFORM_BUFFER_EXT

public static final int GL_UNIFORM_BUFFER_EXT
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, and GetBufferPointerv:

See Also:
  - Constant Field Values

## Method Details

### glUniformBufferEXT

public static void glUniformBufferEXT(int program, int location, int buffer)

### glGetUniformBufferSizeEXT

public static int glGetUniformBufferSizeEXT(int program, int location)

### glGetUniformOffsetEXT

public static long glGetUniformOffsetEXT(int program, int location)